Lookup a message in the current domain

- « dngettext

- ngettext »

- PHP Manual
- Gettext Functions
- Lookup a message in the current domain

# gettext

(PHP 4, PHP 5, PHP 7, PHP 8)

gettext — Lookup a message in the current domain

### Description

gettext(string `$message`): string

Looks up a message in the current domain.

### Parameters

`message`

  The message being translated.

### Return Values

Returns a translated string if one is found in the translation table, or the submitted message if not found.

### Examples

Example #1 gettext()-check

    <?php// Set language to Germanputenv('LC_ALL=de_DE');setlocale(LC_ALL, 'de_DE');// Specify location of translation tablesbindtextdomain("myPHPApp", "./locale");// Choose domaintextdomain("myPHPApp");// Translation is looking for in ./locale/de_DE/LC_MESSAGES/myPHPApp.mo now// Print a test messageecho gettext("Welcome to My PHP Application");// Or use the alias _() for gettext()echo _("Have a nice day");?>

### Notes

> Note:

> You may use the underscore character '_' as an alias to this function.

> Note:

> Setting a language isn't enough for some systems and the putenv() should be used to define the current locale.

### See Also

- setlocale() - Set locale information